db4o |

# ObjectTranslator.OnStore Method

db4o calls this method during storage and query evaluation.

object OnStore(
ObjectContainer container,
object applicationObject
);

#### Parameters

container
  the ObjectContainer used
applicationObject
  the Object to be translated

#### Return Value

return the object to store.
It needs to be of the class storedClass() .

#### Remarks

db4o calls this method during storage and query evaluation.

#### See Also

ObjectTranslator Interface | com.db4o.config Namespace